clang 10.0.0git

Functions
Distro.cpp File Reference
`#include "clang/Driver/Distro.h"`
`#include "clang/Basic/LLVM.h"`
`#include "llvm/ADT/SmallVector.h"`
`#include "llvm/ADT/StringRef.h"`
`#include "llvm/ADT/StringSwitch.h"`
`#include "llvm/Support/ErrorOr.h"`
`#include "llvm/Support/MemoryBuffer.h"`
`#include "llvm/ADT/Triple.h"`
Include dependency graph for Distro.cpp:

Go to the source code of this file.

## Functions
static Distro::DistroType | DetectDistro (llvm::vfs::FileSystem &VFS, const llvm::Triple &TargetOrHost)

## Function Documentation

## ◆ DetectDistro()

static Distro::DistroType DetectDistro | ( | llvm::vfs::FileSystem & | VFS,
|  | const llvm::Triple & | TargetOrHost
| ) |  |
| static

Definition at line 21 of file Distro.cpp.

References clang::driver::Distro::AlpineLinux, clang::driver::Distro::ArchLinux, clang::driver::Distro::DebianBullseye, clang::driver::Distro::DebianBuster, clang::driver::Distro::DebianJessie, clang::driver::Distro::DebianLenny, clang::driver::Distro::DebianSqueeze, clang::driver::Distro::DebianStretch, clang::driver::Distro::DebianWheezy, clang::driver::Distro::Exherbo, clang::driver::Distro::Fedora, clang::driver::Distro::Gentoo, Line, clang::driver::Distro::OpenSUSE, clang::driver::Distro::RHEL5, clang::driver::Distro::RHEL6, clang::driver::Distro::RHEL7, clang::driver::Distro::UbuntuArtful, clang::driver::Distro::UbuntuBionic, clang::driver::Distro::UbuntuCosmic, clang::driver::Distro::UbuntuDisco, clang::driver::Distro::UbuntuEoan, clang::driver::Distro::UbuntuFocal, clang::driver::Distro::UbuntuHardy, clang::driver::Distro::UbuntuIntrepid, clang::driver::Distro::UbuntuJaunty, clang::driver::Distro::UbuntuKarmic, clang::driver::Distro::UbuntuLucid, clang::driver::Distro::UbuntuMaverick, clang::driver::Distro::UbuntuNatty, clang::driver::Distro::UbuntuOneiric, clang::driver::Distro::UbuntuPrecise, clang::driver::Distro::UbuntuQuantal, clang::driver::Distro::UbuntuRaring, clang::driver::Distro::UbuntuSaucy, clang::driver::Distro::UbuntuTrusty, clang::driver::Distro::UbuntuUtopic, clang::driver::Distro::UbuntuVivid, clang::driver::Distro::UbuntuWily, clang::driver::Distro::UbuntuXenial, clang::driver::Distro::UbuntuYakkety, clang::driver::Distro::UbuntuZesty, and clang::driver::Distro::UnknownDistro.